Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange
Make your voice heard. Take the 2019 Developer Survey now

Questions tagged [apache2.4]

Open-source HTTP server. This version was first released in Ubuntu as of 13.10

1
vote
0answers
84 views

Can't access my website after server release-upgrade to 18.04 from 16.04 (droplet)

When I enter my domain i get: Internal Server Error The server encountered an internal error or misconfiguration and was unable to complete your request. Please contact the server administrator at [...
0
votes
0answers
14 views

Apache 2.4 how to authenticate a user against two different OUs

Does anyone have any idea how to authenticate a user against two different OUs on the same Active Directory server? I am using Apache 2.4 on Ubuntu 18.04.   Server version: Apache/2.4.18 (...
0
votes
1answer
181 views

SSL issues after migration to Apache 2.4.37 from 2.4.7 using ppa:ondrej/apache2

I have an annoying issue after migrating to Apache 2.4.37 using ppa:ondrej/apache2. After the change I've got a lot of ERR_SSL_PROTOCOL_ERROR while accessing my sites. The effect is that when having ...
3
votes
1answer
62 views

Configuring zz_overrides.ini in Apache versus in Nginx

If you work with Nginx and you want to override your PHP settings from an external file that won't get deleted or changed in updates, you can create a /etc/php/*/fpm/zz_overrides.ini and put your PHP ...
0
votes
1answer
17 views

Apache reverts PHP version after inactivity

I am using a2dismod en a2enmod to switch PHP versions. Because I work on a lot of projects that require different PHP versions. But now, whenever I change from 7.0 to 7.2 it changes back after a ...
0
votes
2answers
222 views

Apache Custom error message 403

i wanna to create a custom error message in Apache conf for the Error message 403 Forbidden You don't have permission to access / on this server to appear like 404 Not Found The requested URL / was ...
0
votes
0answers
57 views

robots.txt to robots.php with apache

I would like to create a robots.txt file dynamically (robots.php) for all sites in my server. To do that I could add this line in all my htaccess: RewriteRule ^robots\.txt$ /robots.php [NC,L] But ...
0
votes
0answers
43 views

htaccess bad bot in access.log

I added this in my htaccess: RewriteEngine On RewriteBase / RewriteCond %{HTTP_USER_AGENT} ^SemrushBot [NC,OR] RewriteCond %{HTTP_USER_AGENT} ^Yandex [NC,OR] RewriteCond %{HTTP_USER_AGENT} ^rogerbot ...
0
votes
0answers
37 views

rewrite rules in apache2.conf

I added these lines at the beginning of my apache2.conf <IfModule mod_rewrite.c> RewriteEngine On RewriteCond %{HTTP_USER_AGENT} *SemrushBot* [NC,OR] RewriteCond %{HTTP_USER_AGENT} *...
0
votes
2answers
793 views

How can I install xmlwriter?

I've started using a library that requires xmlwriter PHP extension, and it seems like it is not installed on my server. How can I install it? I tried this: sudo yum install libxml2 but the result ...
0
votes
0answers
347 views

^$ Home page rewrite in htaccess not working, ubuntu 14.04

I am running ubuntu 14.04 with apache 2.4.x. I created virtual host mydomain.local. All my website works perfectly on local machine except home page i.e. http://mydomain.local/ I can run anything ...
1
vote
1answer
1k views

The requested URL was not found on ubuntu linode 16.04 lts

i have hosted a codeigniter website on linode 2gb ubuntu 16.04 lts with apache2+ php7.0 etc. home page works fine but when i try to open any other link from my site it shows error The requested URL /...
0
votes
0answers
684 views

upgrading apache on ubuntu server

how to upgrade from Apache 2.4.18 to 2.4.29 on Ubuntu 16.04.4 ? I tried the following sudo add-apt-repository ppa:ondrej/apache2 sudo apt update sudo apt upgrade upgrade command's output Reading ...
1
vote
1answer
44 views

PerlOutputFilterHandler module in Apache 2.4

While upgrading from Apache2.2 to Apache2.4 I noticed an error in my apachectl configtest: Invalid command 'PerlOutputFilterHandler', perhaps misspelled or defined by a module not included in the ...
-2
votes
1answer
171 views

apache2 Service is not able to start

Apache2 is not able to restart because the control process exited with error code. <VirtualHost *:80> serveradmin Rabie@Laassal docummenRoot "/var/www/html/nextcloud/" serverName 192.168.159....
0
votes
0answers
77 views

What potential risks would I experience turning off AutoIndex in Apache 2?

Rather than use Options -Indexes in .conf files to prevent directory listings, I wanted to take a more global and permanent approach for all the sites on the server. When I run a2dismod autoindex I ...
2
votes
2answers
6k views

How to install php7.1 on Ubuntu16.04 without Apache?

Installing php7.1 using this command: sudo apt-get install -y software-properties-common sudo add-apt-repository -y ppa:ondrej/php sudo apt-get update sudo apt-get install -y php7.1 #Modules sudo ...
1
vote
1answer
417 views

Enabling server side includes (SSI) in Ubuntu 16.04 is not working

I have an html page with SSI and I was trying for enabling SSI in my apache (V 2.4.18) running on Ubuntu 16.04. As per the offical documentation, I tried editing /etc/apache2/apache2.conf and now ...
1
vote
0answers
727 views

ServerName directive in apache2.conf?

If you have multiple VirtualHost enabled, why do you need to add a ServerName directive in apache2.conf if you already has it in 000-default.conf?
0
votes
0answers
347 views

Apache 24 virtual host with document root on external drive

Setup Ubuntu 16.04 on 256 gb ssd Windows 10 on 180 gb ssd Workspace on 1TB internal hdd on a machine. I choose Ubuntu or Windows during startup from the bios. Workspace has a www folder where all ...
0
votes
0answers
286 views

Unable to Install Apache 2.4 on Ubuntu 14.04.5

I am trying to install apache 2.4 on ubuntu 14.04.5 server edition. But it provides me an error stating below, Reading package lists... Done Building dependency tree Reading state information.....
0
votes
0answers
47 views

How to include ssl lib when running apxs on ubuntu

I am compiling my apache c module using this: sudo apxs -i -a -c mod_ex.c now I need to use the lib openssl. what should I use to include this lib? I tried with adding -I /usr/include/openssl but ...
0
votes
1answer
649 views

I don't understand why I'm getting a permission error [duplicate]

Apache/2.4.18 (Ubuntu) Ubuntu 16.04 I tested the initial configuration, pointed my browser to the server, and got the normal ubunutu page. Works fine. The 000-default.conf is: <VirtualHost *:80&...
0
votes
0answers
282 views

configure apache module on ubuntu 16.04

I created an hello world module on ubuntu 16.04 #include <httpd.h> #include <http_protocol.h> #include <http_config.h> static int helloworld_handler(request_rec* r) { if (!r-&...
2
votes
0answers
2k views

How to install php7-fpm with Apache on Ubuntu 16.04 with custom .ini and chrooted vhosts?

After several security concerns, I decided to completely redo my server configuration on shared hosting because I need some vhosts to be able to use functions like exec and some running Wordpress to ...
0
votes
0answers
149 views

Failed to load apache server?

When I try to run service apache2 start through php shell_exec command it shows error in the apache log file:Failed to stop apache2.service: Interactive authentication required. See system logs and '...
3
votes
2answers
2k views

Error 403 Forbidden |localhost | in Ubuntu i do not come enter to index.php

I have this project in PHP. The whole project is fine except when I browse to index.php on localhost, it me sends this error?
3
votes
1answer
6k views

Apache2: client denied by server configuration: /www

I've seen a number of similar questions, but none for the /www folder - as such, none of the related questions seem to fix my problem. When I try to access my website via localhost I get a 403 error, ...
3
votes
1answer
2k views

Where is rotatelogs on Ubuntu 16.04? (Upgrade Apache 2.2 to Apache 2.4)

What is the correct path for rotatelogs on Apache 2.4 on Ubuntu 16.04? On new Ubuntu 16.04 system installed Apache 2.4, however when using the same config as previous Ubuntu 12 with Apache 2.2 the ...
2
votes
1answer
1k views

apache2 virtualhost .htaccess file doesnt seem to work

I cant get my .htaccess file to work correctly. In my apache2.conf file I have the following. <Directory /home/felix/mysite> Options Indexes FollowSymLinks AllowOverride All ...
3
votes
1answer
6k views

Apache Virtual Hosts

I am looking to create links on my website like support.mydomain.com or management.mydomain.com rather than mydomain.com/support etc. I have heard you can do it with apache virtual hosts but I am not ...
0
votes
0answers
421 views

Phpldapadmin not working with php

For some reason my phpldapadmin doesn't want to work with my website and it says "If you are seeing this in your browser, PHP is not installed on your web server!!!" Which is not true as if the info....
-1
votes
1answer
74 views

How can apache access a file in a directory which has no execute permission? [duplicate]

I am trying to open an html file which is inside a directory that has no execute permission for apache group. Therefore when I try to access the file from apache it displays the error "You don't have ...
1
vote
1answer
3k views

Cannot find mpm-itk after installing

I have installed mpm_itk using apt-get install apache2-mpm-itk But after installing, when I try to enable using a2enmod mpm_itk it says module is not found At first I was using apache2.4.10, I ...
0
votes
1answer
715 views

Webmin and Virtualmin problems

First I just want to say I am fairly new to linux and even newer to setting up a server, so please bear with me. Ok so first I have a (small) issue while installing webmin which is here Error ...
0
votes
1answer
2k views

ERROR: Module mpm_itk does not exist!

I am installing a certain integrated library management system named: Koha. I get stuck at this error: ERROR: Module mpm_itk does not exist! Installed with: sudo apt-get install apache2 The output ...
3
votes
0answers
195 views

VirtualBox Ubuntu server guest: serving of symfony app ends up with: attempt denied by server configuration

I'm running Ubuntu Server using VirtualBox to develop Symfony app. I've set up shared folder, changed apache default folder /var/www/html to /media/sf_apache_shared which is shared folder, for ...
1
vote
0answers
539 views

Apache crashing with seg fault on a graceful restart on Ubuntu 14.04

One of the servers I manage runs Ubuntu 14.04.5 LTS with Apache 2.4.7 and PHP 7.0.11 , and uses PHP's Zend OPcache v7.0.11. It is noted that apache went down every time when we ran the service apache2 ...
1
vote
0answers
84 views

Cannot view mp4 video on Apache2.4 website

I have added an .htaccess file in document root for the specific website on the server in /var/www/website/.htaccess AddType video/mp4 .mp4 But there is no AllowOverRide directive in the 000-...
1
vote
1answer
812 views

Difference between OpenSSH server and Apache server?

Is there any difference between OpenSSH Server and Apache Server? Backstroy: I need a web-server with a database. While installing Ubuntu Server, I chose an option to install OpenSSH Server as well ...
2
votes
1answer
9k views

How do I launch `spark-shell` from the command line?

I installed java scala 2.11.6 and 7 his works but when I type spark-shell it says command not found.
1
vote
0answers
18 views

Why Apache isn't using RAM but Showing Error?

I am trying to Optimize LAMP stack. Here's the Configuration of Server. CPU:4 vCore Ram:4096 MB Storage:90 GB SSD Bandwidth: 4000 GB When I try to test the server with 800 Con-current visitors, I ...
4
votes
1answer
850 views

Letsencrypt: Expected </VirtualHost> but saw </VirtualHost></IfModule>

When trying to install new letsencrypt certificates on my raspberry-pi apache 2.4 webserver using sudo certbot --apache I get the following error: Error while running apache2ctl configtest. Action '...
6
votes
1answer
14k views

apache2-mpm-worker missing in Ubuntu 16.04

I would like to install apache2-mpm-worker on Ubuntu 16.04, but it looks that this package is not avalaible for ubuntu 16.04. Do you have somebody any information why this important package is missing ...
0
votes
1answer
1k views

How do I save after editing a file in terminal using Vi in Edubuntu? [duplicate]

In page it says in order to solve a problem in Apache 2.4, we have to create a configuration file inside the conf-available directory. For example servername.conf. sudo vi /etc/apache2/conf-available/...
1
vote
1answer
4k views

Why Apache2 does not write logs?

Because I cannot find where Apache saves log files I tried even to reinstall LAMP, but no luck. Ubunty 14.04, Apache 2.4, php 7.0.4, mysql 5.(5) If I ssh to server, should I be able to get a path of ...
1
vote
1answer
287 views

Vhosts not working on Linux Server

A few weeks ago I installed LAMP on Linux Server(Version 4.4.0-24). Apache(Version 2.4.20) works fine and I can access my Apache2 Debian Default Page on 192.168.10.129. Now I want to create virtual ...
1
vote
0answers
105 views

What does 'Alias' in Virtualhost permanently modify?

I added an 'Alias line' to my Virtualhost config apache2/sites-available/domain1.conf like this: <VirtualHost *:80> ServerName www.domain1.tld DocumentRoot /www/directory1 Alias /...
0
votes
0answers
613 views

Apache uses old SHA1 root certificates. How to update or correct?

When check my server certificate get error: One of the certificates is signed with a SHA1 signature. We recommend that you reissue or replace this certificate with one that uses a SHA-2 signature. ...
1
vote
0answers
232 views

Apache2-mpm-prefork mpm-itk removed

We re trying to upgrade a Ubuntu 12.04 server with apache2-mpm-prefork and libapache2-mpm-itk to either 15.10 or 16.04, however we are using an Ansible script. The setup of the server fails because ...